Upstream information

CVE-2019-3838 at MITRE

Description

It was found that the forceput operator could be extracted from the DefineResource method in ghostscript before 9.27. A specially crafted PostScript file could use this flaw in order to, for example, have access to the file system outside of the constrains imposed by -dSAFER.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 8.8
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
Access Vector Local Network
Access Complexity Low Low
Privileges Required None Low
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None High
Availability Impact None High
SUSE Bugzilla entry: 1129186 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 4
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-Storage-4-2019-719
SUSE Linux Enterprise Build System Kit 12 SP3
  • ghostscript-mini >= 9.26a-23.22.1
  • ghostscript-mini-devel >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-BSK-12-SP3-2019-719
SUSE Linux Enterprise Build System Kit 12 SP4
  • ghostscript-mini >= 9.26a-23.22.1
  • ghostscript-mini-devel >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-BSK-12-SP4-2019-719
SUSE Linux Enterprise Desktop 12 SP3
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2019-719
SUSE Linux Enterprise Desktop 12 SP4
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-719
SUSE Linux Enterprise Module for Basesystem 15
  • ghostscript >= 9.26a-3.15.1
  • ghostscript-devel >= 9.26a-3.15.1
  • ghostscript-x11 >= 9.26a-3.15.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-718
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • ghostscript >= 9.26a-3.15.1
  • ghostscript-devel >= 9.26a-3.15.1
  • ghostscript-x11 >= 9.26a-3.15.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA ghostscript
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • ghostscript-mini >= 9.26a-3.15.1
  • ghostscript-mini-devel >= 9.26a-3.15.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-718
SUSE Linux Enterprise Point of Sale 11 SP3
  • ghostscript-fonts-other >= 8.62-47.16.1
  • ghostscript-fonts-rus >= 8.62-47.16.1
  • ghostscript-fonts-std >= 8.62-47.16.1
  • ghostscript-library >= 8.62-47.16.1
  • ghostscript-omni >= 8.62-47.16.1
  • ghostscript-x11 >= 8.62-47.16.1
  • libgimpprint >= 4.2.7-47.16.1
Patchnames:
sleposp3-ghostscript-library-14155
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-719
SUSE Linux Enterprise Server 11 SP4-LTSS
  • ghostscript-fonts-other >= 8.62-47.16.1
  • ghostscript-fonts-rus >= 8.62-47.16.1
  • ghostscript-fonts-std >= 8.62-47.16.1
  • ghostscript-library >= 8.62-47.16.1
  • ghostscript-omni >= 8.62-47.16.1
  • ghostscript-x11 >= 8.62-47.16.1
  • libgimpprint >= 4.2.7-47.16.1
Patchnames:
slessp4-ghostscript-library-14155
SUSE Linux Enterprise Server 12 SP1-LTSS
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-719
SUSE Linux Enterprise Server 12 SP2-BCL
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-719
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-719
SUSE Linux Enterprise Server 12 SP2-LTSS
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-719
SUSE Linux Enterprise Server 12 SP3
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-719
SUSE Linux Enterprise Server 12 SP4
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-719
SUSE Linux Enterprise Server 12-LTSS
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-SERVER-12-2019-719
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • ghostscript-fonts-other >= 8.62-47.16.1
  • ghostscript-fonts-rus >= 8.62-47.16.1
  • ghostscript-fonts-std >= 8.62-47.16.1
  • ghostscript-library >= 8.62-47.16.1
  • ghostscript-omni >= 8.62-47.16.1
  • ghostscript-x11 >= 8.62-47.16.1
  • libgimpprint >= 4.2.7-47.16.1
Patchnames:
slessp4-ghostscript-library-14155
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-719
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-719
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-719
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-719
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-719
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-719
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-719
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-719
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-SERVER-12-2019-719
SUSE Linux Enterprise Software Development Kit 12 SP3
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-devel >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2019-719
SUSE Linux Enterprise Software Development Kit 12 SP4
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-devel >= 9.26a-23.22.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-719
SUSE OpenStack Cloud 7
  • ghostscript >= 9.26a-23.22.1
  • ghostscript-x11 >= 9.26a-23.22.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-719
openSUSE Leap 15.0
  • ghostscript >= 9.26a-lp150.2.17.2
  • ghostscript-debuginfo >= 9.26a-lp150.2.17.2
  • ghostscript-debugsource >= 9.26a-lp150.2.17.2
  • ghostscript-devel >= 9.26a-lp150.2.17.2
  • ghostscript-mini >= 9.26a-lp150.2.17.2
  • ghostscript-mini-debuginfo >= 9.26a-lp150.2.17.2
  • ghostscript-mini-debugsource >= 9.26a-lp150.2.17.2
  • ghostscript-mini-devel >= 9.26a-lp150.2.17.2
  • ghostscript-x11 >= 9.26a-lp150.2.17.2
  • ghostscript-x11-debuginfo >= 9.26a-lp150.2.17.2
Patchnames:
openSUSE-2019-1121
openSUSE Leap 42.3
  • ghostscript >= 9.26a-14.18.1
  • ghostscript-debuginfo >= 9.26a-14.18.1
  • ghostscript-debugsource >= 9.26a-14.18.1
  • ghostscript-devel >= 9.26a-14.18.1
  • ghostscript-mini >= 9.26a-14.18.1
  • ghostscript-mini-debuginfo >= 9.26a-14.18.1
  • ghostscript-mini-debugsource >= 9.26a-14.18.1
  • ghostscript-mini-devel >= 9.26a-14.18.1
  • ghostscript-x11 >= 9.26a-14.18.1
  • ghostscript-x11-debuginfo >= 9.26a-14.18.1
Patchnames:
openSUSE-2019-1119


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 ghostscript Released
SUSE Linux Enterprise Desktop 12 SP4 ghostscript Released
SUSE Linux Enterprise High Performance Computing 12 ghostscript Released
SUSE Linux Enterprise Module for Basesystem 15 GA ghostscript Released
SUSE Linux Enterprise SDK 11 SP4 ghostscript-library Affected
SUSE Linux Enterprise SDK 12 SP3 ghostscript Released
SUSE Linux Enterprise SDK 12 SP4 ghostscript Released
SUSE Linux Enterprise Server 11 SP3 LTSS ghostscript-library Affected
SUSE Linux Enterprise Server 11 SP4 ghostscript-library Affected
SUSE Linux Enterprise Server 11 SP4 LTSS ghostscript-library Released
SUSE Linux Enterprise Server 12 GA LTSS ghostscript Released
SUSE Linux Enterprise Server 12 SP1 LTSS ghostscript Released
SUSE Linux Enterprise Server 12 SP2 LTSS ghostscript Released
SUSE Linux Enterprise Server 12 SP3 ghostscript Released
SUSE Linux Enterprise Server 12 SP4 ghostscript Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 ghostscript-library Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA ghostscript Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ghostscript Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ghostscript Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ghostscript Released